namespace _2024._11._28
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Fa<string> csaladFa = new Fa<string>("Nagyszülő");

            var szulo1 = new Csomopont<string>("Szülő 1");
            var szulo2 = new Csomopont<string>("Szülő 2");

            csaladFa.Gyoker.HozzaadGyermek(szulo1);
            csaladFa.Gyoker.HozzaadGyermek(szulo2);

            szulo1.HozzaadGyermek(new Csomopont<string>("Gyermek 1.1"));
            szulo1.HozzaadGyermek(new Csomopont<string>("Gyermek 1.2"));

            szulo2.HozzaadGyermek(new Csomopont<string>("Gyermek 2.1"));

            Console.WriteLine("A fa mélységi bejárása:");
            csaladFa.MelysegiBejaras(csaladFa.Gyoker);

            Console.WriteLine("\nKeresés a fában:");
            string keresett = "Gyermek 1.2";
            Console.WriteLine($"\"{keresett}\" található a fában? {csaladFa.Keres(csaladFa.Gyoker, keresett)}");

            keresett = "Gyermek 3.1";
            Console.WriteLine($"\"{keresett}\" található a fában? {csaladFa.Keres(csaladFa.Gyoker, keresett)}");
        }
    }
}
